package com.wzj.soopin.transaction.enums.easypay;

import java.io.IOException;

/**
 * 费用类型
 */
public enum SpecialTag {

    THE_2301, THE_2302, THE_2303, THE_2304;

    public String toValue() {
        switch (this) {
            case THE_2301: return "2301";
            case THE_2302: return "2302";
            case THE_2303: return "2303";
            case THE_2304: return "2304";
        }
        return null;
    }

    public static SpecialTag forValue(String value) throws IOException {
        if (value.equals("2301")) return THE_2301;
        if (value.equals("2302")) return THE_2302;
        if (value.equals("2303")) return THE_2303;
        if (value.equals("2304")) return THE_2304;
        throw new IOException("Cannot deserialize SpecialTag");
    }
}
